
Redmine - Defect #41193

Incorrect time calculation in subproject

2024-08-27 08:54 - Grigory Tumakov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 5.1.3

Description

When calculating time, tasks from the main project are included in the subproject.

Use docker image redmine:5

MySQL 5.7

Environment:

Redmine version                5.1.3.stable

Ruby version                   3.2.4-p170 (2024-04-23) [x86_64-linux]

Rails version                  6.1.7.8

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

Redmine settings:

Redmine theme                  Circle (includes JavaScript)

SCM:

Subversion                     1.14.2

Mercurial                      6.3.2

Bazaar                         3.3.2

Git                            2.39.2

Filesystem

Redmine plugins:

redmine_agile                  1.6.9

redmine_checklists             3.1.24

redmine_more_previews          5.0.8

redmine_openid_connect         0.9.4

redmine_people                 1.6.7

redmine_resources              2.0.2

redmine_zenedit                2.0.6

Related issues:

Related to Redmine - Feature #3952: Filtering by subproject still shows curre... New 2009-10-01

History

#1 - 2024-09-02 14:42 - Holger Just

- Status changed from New to Closed

- Resolution set to Wont fix

The Subproject filter will only select the subprojects to include objects from in addition to the current project. In other words, objects (such as issues or

time entries) from the current project are always included. This is by design as was previously discussed e.g. in #3952 and #2512.

To show only issues from a single (sub-)project, you should navigate to this project and (depending on the default setting) add a filter to reject objects

form subprojects. If you want to show issues from a specific set of projects, please use the global issues/ time entries filter where you can use the 

Project filter which allows you to select the sepfic projects you like.

As this works by as designed, I'm closing this issue.

#2 - 2024-09-02 14:43 - Holger Just

- Related to Feature #3952: Filtering by subproject still shows current project's issues added
https://www.redmine.org/issues/3952
https://www.redmine.org/issues/2512
